package cpm.com.gskmtorange.utils

// ScoreItem.kt
sealed class ScoreItem {
    data class OverallScore(
        val osa: String,
        val msl: String,
        val posm: String,
        val sosSku: String,
        val sosBrand: String
    ) : ScoreItem()

    data class CategoryScore(
        val categoryName: String,
        val msl: String,
        val posm: String,
        val sosSku: String,
        val sosBrand: String,
        val brandDetails: List<Pair<String, String>> // BrandName to Value
    ) : ScoreItem()

    data class ImageItem(
        val url: String
    ) : ScoreItem()
}
